using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PR
{
    [Description("药品使用安全确认表")]
    public class T_PR_DRUG_USE_RECORD_CONFIRM : MesEntityBase
    {
        [Description("药品使用记录表")]
        [DataFieldForeignKey("Nav_UseRecord", "Nav_Confirms")]
        public Guid USE_RECORD_ID { get; set; }

        [Description("药品使用记录表")]
        public virtual T_PR_DRUG_USE_RECORD Nav_UseRecord { get; set; }

        [Description("编号")]
        public string CODE { get; set; }

        [Description("名称")]
        public string NAME { get; set; }

        [Description("是否确认")]
        public bool IS_CONFIRM { get; set; } = false;

        [Description("顺序")]
        public int? ROW_NO { get; set; }
    }
}
